{%- from "sysctl/map.jinja" import sysctl with context %}
{%- for file,sysctls in sysctl.config.items() %}
sysctl-file-{{ file }}:
  file.touch:
    - name: /etc/sysctl.d/{{ file }}.conf

sysctl-values-{{ file }}:
  file.keyvalue:
    - name: /etc/sysctl.d/{{ file }}.conf
    - key_values:
{%- for key,value in sysctls.items() %}
        {{ key }}: {{ value }}
{%- endfor %}
    - separator: '='
    - uncomment: '# '
    - key_ignore_case: True
    - append_if_not_found: True
{%- endfor %}

sysctl-apply:
  cmd.run:
    - name: "sysctl --system"
